Bug 800376 - 'Update boot loader configuration' option is missing
'Update boot loader configuration' option is missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 07:19 EST by Petr Schindler
Modified: 2012-06-04 20:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 20:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-03-06 07:19:04 EST
Description of problem:
There is no option to update existing grub.cfg. When I try to upgrade the system, I have only possibility to install new bootloader or to leave the old one. There should be a way to update the old bootloader.

I was going through test case https://fedoraproject.org/wiki/QA:Testcase_Anaconda_Upgrade_Update_Bootloader on 32 bit.

Version-Release number of selected component (if applicable):
17.11

How reproducible:
100%

Steps to Reproduce:
1. Boot dvd.iso (I used Fedora-17-Alpha-i386-DVD.iso)
2. Select default language, keyboard, and then select Upgrade an existing installation
  
Actual results:
'Update boot loader configuration' option isn't there

Expected results:
Update option should be present and default (when updating from f16)

Additional info:
Comment 1 Adam Williamson 2012-03-09 12:52:11 EST
Proposing as Beta blocker per criterion "The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation (from any official install medium) of the previous stable Fedora release, either via preupgrade or by booting to the installer manually. The upgraded system must meet all release criteria"



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adam Williamson 2012-03-10 00:06:53 EST
Discussed at 2012-03-09 blocker review meeting. Agreed this bug is not a blocker: it's likely not the desired design, but in practice, upgrade *does* work with the default option. if anaconda team want to improve the design that's great, but it's not a blocker.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.